# Created by pyp2rpm-3.3.2
%global pypi_name django-getenv

# no test subdirectory in sources from PYPI
%bcond_with test

Name:           python-%{pypi_name}
Version:        1.3.2
Release:        %mkrel 8
Summary:        Read settings from environment variables
Group:          Development/Python
License:        BSD
URL:            https://github.com/schwuk/django-getenv
Source0:        https://files.pythonhosted.org/packages/source/d/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)

%description
A quick'n'easy way to use environment variables in your Django (and Python)
projects.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A quick'n'easy way to use environment variables in your Django (and Python)
projects.

%prep
%autosetup -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files getenv

%if %{with test}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst


%changelog
* Fri Dec 27 2024 papoteur <papoteur> 1.3.2-8.mga10
+ Revision: 2130414
- add and use pytest

* Tue Dec 12 2023 papoteur <papoteur> 1.3.2-7.mga10
+ Revision: 2017352
- rebuild for python3.12
- adapt to pyproject

* Wed Mar 23 2022 umeabot <umeabot> 1.3.2-6.mga9
+ Revision: 1823866
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 1.3.2-5.mga9
+ Revision: 1785127
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 1.3.2-4.mga9
+ Revision: 1732485
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.3.2-3.mga8
+ Revision: 1535203
- Mageia 8 Mass Rebuild

* Fri Oct 11 2019 tv <tv> 1.3.2-2.mga8
+ Revision: 1451540
- rebuild with python 3.8

* Wed Aug 21 2019 wally <wally> 1.3.2-1.mga8
+ Revision: 1431034
- imported package python-django-getenv

